import Action from '@overflow/commons/redux/Action';
import { ReducersMapObject } from 'redux';

import Host from '../../api/model/Host';
import Port from '../../api/model/Port';
import Service from '../../api/model/Service';

import * as IngActionTypes from '../action/ing';
import {
  HostState, hostDefaultState,
  PortState, portDefaultState,
  ServiceState, serviceDefaultState,
} from '../state/Ing';

const reducer: ReducersMapObject = {
  [IngActionTypes.RECEIVE_HOST]: (state: HostState = hostDefaultState,
                                  action: Action<Host>): HostState => {


    return {
      ...state,
      // discoveryData: action.payload,
    };
  },
  [IngActionTypes.RECEIVE_PORT]: (state: PortState = portDefaultState,
                                  action: Action<Port>): PortState => {


    return {
      ...state,
      // discoveryData: action.payload,
    };
  },
  [IngActionTypes.RECEIVE_SERVICE]: (state: ServiceState = serviceDefaultState,
                                     action: Action<Service>): ServiceState => {


    return {
      ...state,
      // discoveryData: action.payload,
    };
  },
};

export default reducer;
